Confused about composer.php upgrade

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Confused about composer.php upgrade

nerbrume
Hi,

Apologies if this is not the right place to post, I tried the community forums first without any luck.

I'm a bit confused about the usage of composer.php, especially the update/upgrade procedure.
I just migrated to roundcube 1.2, and thought it would be a perfect time to upgrade my plugins as well.
(as an example, I'll talk about the carddav plugin (https://plugins.roundcube.net/packages/roundcube/carddav), but I had the same issues with other plugins)

Prior to upgrade, my composer.json contained this, in the "require" section:

"roundcube/carddav": "dev-issue_129"

First question is : should I have used master rather than the last "stable" tag (here, "dev-issue_129")?
Isn't "master" reserved for usage with the currently in development branch of roundcube ?
(I'm pretty sure that's the way Johndoh does it , having a "dev-master" tag ,and stable tags. See e.g. https://plugins.roundcube.net/packages/johndoh/contextmenu)

After issuing :

php composer.phar self-update
php composer.phar update

composer strangely asked if I wanted to activate the carddav plugin (it was already activated in my roundcube config).
More importantly, the update deleted my plugin/carddav/config.inc.php. Is it supposed to do that ?
Having to check and update config files by hand for each plugin seems a bit tedious for me...

Last, about the overall composer.json file. After updating, I noticed a composer.json-dist file, presumably the new "base" version of composer.json. Am I supposed to merge any changes by hand into my composer.json file ?

Otherwise, any other steps I might have missed ?

Thanks for reading, hope I was clear enough !
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users